/*
package com.ticketmaster.presence.demo

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.ticketmaster.presencesdk.VenueNextDelegate
import com.venuenext.vnwebsdk.VNNavigationController
import com.venuenext.vnwebsdk.VenueNextWeb
import com.venuenext.vnwebsdk.models.User
import com.venuenext.vnwebsdk.protocol.VNNavigationControllerInterface
import com.venuenext.vnwebsdk.types.VNWebPageType

class VenueNextActivity: AppCompatActivity(), VNNavigationControllerInterface {

    companion object {

        fun newInstance(from: Activity, instanceName: String, action: VenueNextDelegate.VenueNextAction) {
            val intent = Intent(from, VenueNextActivity::class.java)
            intent.putExtra("instanceName", instanceName)
            intent.putExtra("venueNextAction", action)
            from.startActivity(intent)
        }

    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_venue_next)

        val instanceName = intent.extras?.getString("instanceName", "example") ?: "example"
        val action = (intent.extras?.getSerializable("venueNextAction")) as? VenueNextDelegate.VenueNextAction ?: return
        show(instanceName, action)
    }

    override fun vnDidDismissWebView(pageType: VNWebPageType) {
    }

    override fun vnFinish() {
    }

    override fun vnFinish(pageType: VNWebPageType, originClass: String) {
        finish()
    }

    fun show(instanceName: String, action: VenueNextDelegate.VenueNextAction) {

        VenueNextWeb.apply {
            initialize("", instanceName)
            setUser(User(
                    "",
                    "",
                    "",
                    "",
                    null,
                    ""
            ))
            privateKeyAssetName = "provide Your own pem file"
            privateKeyString = """
        -----BEGIN PRIVATE KEY-----
        //Provide your own Key
        -----END PRIVATE KEY-----
        """
        }

        VNNavigationController.addNavigationListener(this)
        when(action) {
            VenueNextDelegate.VenueNextAction.ORDER -> VNNavigationController.showOrderHistory(this)
            VenueNextDelegate.VenueNextAction.WALLET -> VNNavigationController.showWallet(this)
        }
    }
}*/
